import React, { Component } from 'react';
import { Typography } from '@material-ui/core';
import TextField from "@material-ui/core/TextField";
import Images from '../assets/Images';
import MUIDataTable from "mui-datatables";

class Perusahaan extends Component {
    render() {
        const columns = [{
            name: "Action",
            options: {
                customBodyRender: (val, tableMeta) => {
                    return (
                        <div style={{ display: 'flex' }}>
                            <button
                                style={{
                                    backgroundColor: 'transparent',
                                    cursor: 'pointer',
                                    borderColor: 'transparent'
                                }}
                                onClick={() => null}
                            >
                                <img src={Images.editCopy} />
                            </button>
                        </div >
                    );
                }
            }
        }, "ID", "Nama Perusahaan", "Nama Perusahaan", "Unit Bisnis", "Jumlah Laporan", "Status"]
        const data = [
            ["", "1", "Triputra Agro Persada Group", "Triputra Investindo Arya", "Agrobisnis", "5", "Aktif"],
            ["", "2", "Gawi Bahandep Sawit Mekar", "Triputra Agro Persada Group", "Agrobisnis", "2", "Aktif"],
            ["", "3", "Puninar Group", "Triputra Investindo Arya", "Service", "5", "Aktif"],
            ["", "4", "Puninar Infinite Raya", "Puninar Group", "Service", "5", "Non Aktif"],
            ["", "-", "-", "-", "-", "-", "-"],
        ]
        const options = {
            filter: false,
            sort: false,
            responsive: "scroll",
            print: false,
            download: false,
            selectableRows: false,
            viewColumns: false,
            rowsPerPage: 5,
            search: false
        }

        return (
            <div style={{ flex: 1 }}>
                <div style={{ height: 150, width: '100%', backgroundColor: '#354960', padding: 24, paddingTop: 30 }}>
                    <div style={{ display: 'flex' }}>
                        <Typography style={{ paddingTop: 8, paddingBottom: 7, fontSize: '16px', color: 'white' }}>Master Data - Perusahaan</Typography>
                        <form style={{ marginLeft: 110 }}>
                            <TextField id="" label="" variant="outlined" size="small" placeholder="Search" style={{ width: 423, backgroundColor: 'white', borderRadius: 6 }}/>
                        </form>
                        <div style={{ display: 'flex' }}>
                            <button
                                style={{
                                    backgroundColor: 'transparent',
                                    cursor: 'pointer',
                                    borderColor: 'transparent',
                                    marginLeft: 82,
                                    padding: 0
                                }}
                                onClick={() => null}
                            >
                                <img src={Images.template} />
                            </button>
                            <button
                                style={{
                                    backgroundColor: 'transparent',
                                    cursor: 'pointer',
                                    borderColor: 'transparent',
                                    marginLeft: 16,
                                    padding:0
                                }}
                                onClick={() => null}
                            >
                                <img src={Images.upload} />
                            </button>
                            <button
                                style={{
                                    backgroundColor: 'transparent',
                                    cursor: 'pointer',
                                    borderColor: 'transparent',
                                    marginLeft: 16,
                                    padding:0
                                }}
                                onClick={() => null}
                            >
                                <img src={Images.download} />
                            </button>
                            <button
                                style={{
                                    backgroundColor: 'transparent',
                                    cursor: 'pointer',
                                    borderColor: 'transparent',
                                    marginLeft: 16,
                                    padding:0
                                }}
                                onClick={() => null}
                            >
                                <img src={Images.visualisasi} />
                            </button>
                            <button
                                style={{
                                    backgroundColor: 'transparent',
                                    cursor: 'pointer',
                                    borderColor: 'transparent',
                                    marginLeft: 16,
                                    padding:0
                                }}
                                onClick={() => null}
                            >
                                <img src={Images.add} />
                            </button>
                        </div >
                    </div>
                    
                </div>
                <div style={{ flex: 1, padding: 20, width: '100%' }}>
                    <div>
                        <MUIDataTable
                            data={data}
                            columns={columns}
                            options={options}
                        />
                    </div>
                </div>
            </div>
        );
    }
}

export default Perusahaan;